CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2011-2456

Buffer overflow in Adobe Flash Player before 10.3.183.11 and 11.x before 11.1.102.55 on Windows, Mac OS X, Linux, and Solaris and before 11.1.102.59 on Android, and Adobe AIR before 3.1.0.4880, allows attackers to execute arbitrary code via unspecified vectors.
Publish Date : 2011-11-11 Last Update Date : 2013-11-02
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 119

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat critical
6.8
AV:N/AC:M/Au:N/C:P/I:P/A:P 2011-11-10 2011-11-10
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
Buffer overflow in Adobe Flash Player before 10.3.183.11 and 11.x before 11.1.102.55 on Windows, Mac OS X, Linux, and So... oval:org.mitre.oval:def:16046 macos
Buffer overflow in Adobe Flash Player before 10.3.183.11 and 11.x before 11.1.102.55 on Windows, Mac OS X, Linux, and So... oval:org.mitre.oval:def:14215 windows
CVE-2011-2456 oval:org.opensuse.security:def:20112456 unix
DEPRECATED: ELSA-2011:1445: flash-plugin security update (Critical) oval:org.mitre.oval:def:23270 unix
ELSA-2011:1445: flash-plugin security update (Critical) oval:org.mitre.oval:def:23630 unix
RHSA-2011:1445: flash-plugin security update (Critical) oval:com.redhat.rhsa:def:20111445 unix
RHSA-2011:1445: flash-plugin security update (Critical) oval:org.mitre.oval:def:21631 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2011-2456

# Product Type Vendor Product Version Update Edition Language
1 Application Adobe Adobe Air 1.0 Version Details Vulnerabilities
2 Application Adobe Adobe Air 1.0.1 Version Details Vulnerabilities
3 Application Adobe Adobe Air 1.1 Version Details Vulnerabilities
4 Application Adobe Adobe Air 1.5 Version Details Vulnerabilities
5 Application Adobe Adobe Air 1.5.1 Version Details Vulnerabilities
6 Application Adobe Adobe Air 1.5.2 Version Details Vulnerabilities
7 Application Adobe Adobe Air 1.5.3 Version Details Vulnerabilities
8 Application Adobe Adobe Air 1.5.3.9120 Version Details Vulnerabilities
9 Application Adobe Adobe Air 2.0.2 Version Details Vulnerabilities
10 Application Adobe Adobe Air 2.0.3 Version Details Vulnerabilities
11 Application Adobe Adobe Air 2.0.4 Version Details Vulnerabilities
12 Application Adobe Adobe Air 2.6 Version Details Vulnerabilities
13 Application Adobe Adobe Air 2.7 Version Details Vulnerabilities
14 Application Adobe Adobe Air 2.7.0.1948 Version Details Vulnerabilities
15 Application Adobe Adobe Air 2.7.0.1953 Version Details Vulnerabilities
16 Application Adobe Adobe Air 2.7.1 Version Details Vulnerabilities
17 Application Adobe Adobe Air 3.0.0.408 Version Details Vulnerabilities
18 Application Adobe Adobe Air 3.1.0.485 Version Details Vulnerabilities
19 Application Adobe Flash Player 6.0.21.0 Version Details Vulnerabilities
20 Application Adobe Flash Player 6.0.79 Version Details Vulnerabilities
21 Application Adobe Flash Player 7 Version Details Vulnerabilities
22 Application Adobe Flash Player 7.0 Version Details Vulnerabilities
23 Application Adobe Flash Player 7.0.1 Version Details Vulnerabilities
24 Application Adobe Flash Player 7.0.14.0 Version Details Vulnerabilities
25 Application Adobe Flash Player 7.0.19.0 Version Details Vulnerabilities
26 Application Adobe Flash Player 7.0.24.0 Version Details Vulnerabilities
27 Application Adobe Flash Player 7.0.25 Version Details Vulnerabilities
28 Application Adobe Flash Player 7.0.53.0 Version Details Vulnerabilities
29 Application Adobe Flash Player 7.0.60.0 Version Details Vulnerabilities
30 Application Adobe Flash Player 7.0.61.0 Version Details Vulnerabilities
31 Application Adobe Flash Player 7.0.63 Version Details Vulnerabilities
32 Application Adobe Flash Player 7.0.66.0 Version Details Vulnerabilities
33 Application Adobe Flash Player 7.0.67.0 Version Details Vulnerabilities
34 Application Adobe Flash Player 7.0.68.0 Version Details Vulnerabilities
35 Application Adobe Flash Player 7.0.69.0 Version Details Vulnerabilities
36 Application Adobe Flash Player 7.0.70.0 Version Details Vulnerabilities
37 Application Adobe Flash Player 7.0.73.0 Version Details Vulnerabilities
38 Application Adobe Flash Player 7.1 Version Details Vulnerabilities
39 Application Adobe Flash Player 7.1.1 Version Details Vulnerabilities
40 Application Adobe Flash Player 7.2 Version Details Vulnerabilities
41 Application Adobe Flash Player 8 Version Details Vulnerabilities
42 Application Adobe Flash Player 8.0 Version Details Vulnerabilities
43 Application Adobe Flash Player 8.0.22.0 Version Details Vulnerabilities
44 Application Adobe Flash Player 8.0.24.0 Version Details Vulnerabilities
45 Application Adobe Flash Player 8.0.33.0 Version Details Vulnerabilities
46 Application Adobe Flash Player 8.0.34.0 Version Details Vulnerabilities
47 Application Adobe Flash Player 8.0.35.0 Version Details Vulnerabilities
48 Application Adobe Flash Player 8.0.39.0 Version Details Vulnerabilities
49 Application Adobe Flash Player 8.0.42.0 Version Details Vulnerabilities
50 Application Adobe Flash Player 9 Version Details Vulnerabilities
51 Application Adobe Flash Player 9.0.16 Version Details Vulnerabilities
52 Application Adobe Flash Player 9.0.18d60 Version Details Vulnerabilities
53 Application Adobe Flash Player 9.0.20 Version Details Vulnerabilities
54 Application Adobe Flash Player 9.0.20.0 Version Details Vulnerabilities
55 Application Adobe Flash Player 9.0.28 Version Details Vulnerabilities
56 Application Adobe Flash Player 9.0.28.0 Version Details Vulnerabilities
57 Application Adobe Flash Player 9.0.31 Version Details Vulnerabilities
58 Application Adobe Flash Player 9.0.31.0 Version Details Vulnerabilities
59 Application Adobe Flash Player 9.0.45.0 Version Details Vulnerabilities
60 Application Adobe Flash Player 9.0.47.0 Version Details Vulnerabilities
61 Application Adobe Flash Player 9.0.48.0 Version Details Vulnerabilities
62 Application Adobe Flash Player 9.0.112.0 Version Details Vulnerabilities
63 Application Adobe Flash Player 9.0.114.0 Version Details Vulnerabilities
64 Application Adobe Flash Player 9.0.115.0 Version Details Vulnerabilities
65 Application Adobe Flash Player 9.0.124.0 Version Details Vulnerabilities
66 Application Adobe Flash Player 9.0.125.0 Version Details Vulnerabilities
67 Application Adobe Flash Player 9.0.151.0 Version Details Vulnerabilities
68 Application Adobe Flash Player 9.0.152.0 Version Details Vulnerabilities
69 Application Adobe Flash Player 9.0.155.0 Version Details Vulnerabilities
70 Application Adobe Flash Player 9.0.159.0 Version Details Vulnerabilities
71 Application Adobe Flash Player 9.0.246.0 Version Details Vulnerabilities
72 Application Adobe Flash Player 9.0.260.0 Version Details Vulnerabilities
73 Application Adobe Flash Player 9.0.262.0 Version Details Vulnerabilities
74 Application Adobe Flash Player 9.0.277.0 Version Details Vulnerabilities
75 Application Adobe Flash Player 9.0.283.0 Version Details Vulnerabilities
76 Application Adobe Flash Player 9.125.0 Version Details Vulnerabilities
77 Application Adobe Flash Player 10.0.0.584 Version Details Vulnerabilities
78 Application Adobe Flash Player 10.0.12.10 Version Details Vulnerabilities
79 Application Adobe Flash Player 10.0.12.36 Version Details Vulnerabilities
80 Application Adobe Flash Player 10.0.15.3 Version Details Vulnerabilities
81 Application Adobe Flash Player 10.0.22.87 Version Details Vulnerabilities
82 Application Adobe Flash Player 10.0.32.18 Version Details Vulnerabilities
83 Application Adobe Flash Player 10.0.42.34 Version Details Vulnerabilities
84 Application Adobe Flash Player 10.0.45.2 Version Details Vulnerabilities
85 Application Adobe Flash Player 10.1.52.14.1 Version Details Vulnerabilities
86 Application Adobe Flash Player 10.1.52.15 Version Details Vulnerabilities
87 Application Adobe Flash Player 10.1.53.64 Version Details Vulnerabilities
88 Application Adobe Flash Player 10.1.82.76 Version Details Vulnerabilities
89 Application Adobe Flash Player 10.1.85.3 Version Details Vulnerabilities
90 Application Adobe Flash Player 10.1.92.8 Version Details Vulnerabilities
91 Application Adobe Flash Player 10.1.92.10 Version Details Vulnerabilities
92 Application Adobe Flash Player 10.1.95.1 Version Details Vulnerabilities
93 Application Adobe Flash Player 10.1.95.2 Version Details Vulnerabilities
94 Application Adobe Flash Player 10.1.102.64 Version Details Vulnerabilities
95 Application Adobe Flash Player 10.1.105.6 Version Details Vulnerabilities
96 Application Adobe Flash Player 10.1.106.16 Version Details Vulnerabilities
97 Application Adobe Flash Player 10.2.152 Version Details Vulnerabilities
98 Application Adobe Flash Player 10.2.152.32 Version Details Vulnerabilities
99 Application Adobe Flash Player 10.2.152.33 Version Details Vulnerabilities
100 Application Adobe Flash Player 10.2.154.13 Version Details Vulnerabilities
101 Application Adobe Flash Player 10.2.154.25 Version Details Vulnerabilities
102 Application Adobe Flash Player 10.2.156.12 Version Details Vulnerabilities
103 Application Adobe Flash Player 10.2.157.51 Version Details Vulnerabilities
104 Application Adobe Flash Player 10.2.159.1 Version Details Vulnerabilities
105 Application Adobe Flash Player 10.3. Version Details Vulnerabilities
106 Application Adobe Flash Player 10.3.181.14 Version Details Vulnerabilities
107 Application Adobe Flash Player 10.3.181.16 Version Details Vulnerabilities
108 Application Adobe Flash Player 10.3.181.22 Version Details Vulnerabilities
109 Application Adobe Flash Player 10.3.181.23 Version Details Vulnerabilities
110 Application Adobe Flash Player 10.3.181.26 Version Details Vulnerabilities
111 Application Adobe Flash Player 10.3.181.34 Version Details Vulnerabilities
112 Application Adobe Flash Player 10.3.181.36 Version Details Vulnerabilities
113 Application Adobe Flash Player 10.3.183.5 Version Details Vulnerabilities
114 Application Adobe Flash Player 10.3.183.7 Version Details Vulnerabilities
115 Application Adobe Flash Player 10.3.183.10 Version Details Vulnerabilities
116 Application Adobe Flash Player 10.3.185.25 Version Details Vulnerabilities
117 Application Adobe Flash Player 11.0 Version Details Vulnerabilities
118 Application Adobe Flash Player 11.0.1.152 Version Details Vulnerabilities
119 Application Adobe Flash Player 11.0.1.153 Version Details Vulnerabilities
120 Application Adobe Flash Player 11.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Adobe Adobe Air 18
Adobe Flash Player 102

- References For CVE-2011-2456

http://lists.opensuse.org/opensuse-security-announce/2011-11/msg00017.html
SUSE SUSE-SU-2011:1244
http://lists.opensuse.org/opensuse-security-announce/2011-11/msg00019.html
SUSE SUSE-SA:2011:043
http://security.gentoo.org/glsa/glsa-201204-07.xml
GENTOO GLSA-201204-07
http://www.redhat.com/support/errata/RHSA-2011-1445.html
REDHAT RHSA-2011:1445
http://www.adobe.com/support/security/bulletins/apsb11-28.html CONFIRM
http://secunia.com/advisories/48819
SECUNIA 48819
http://lists.opensuse.org/opensuse-security-announce/2011-11/msg00014.html
SUSE openSUSE-SU-2011:1240

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)
Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2011-2456

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.